<?php
function puissance($x,$n)
{if ($n == 0)
   $res=1;
 else
   $res=$x*puissance($x,$n-1);
 return $res;
}
// Saisie de deux entiers
echo "Entrez 2 entiers : ";
fscanf(STDIN,"%d %d",$a,$b);
// Appel de la fonction
$resultat=puissance($a,$b);
echo "$a puissance $b = $resultat".PHP_EOL ;
?>
